// ===========================================================================
// version.r
//   ---------------------
//   1997 Eric Gundrum, All rights reserved.
//   The contents of this file may be freely altered and freely distributed
//   in any form, provided this copyright statement is retained unaltered.
//   Add your own changes below.
//   ---------------------
//	
//	This file contains a template for version resources, including Finder  
//	Balloon help, using the format defined in VersionEdit by Teknosys, Inc. 
//	and used by Apple.
//
//	You do not have to edit this file to set your version strings.
//	To configure your version resources, edit the values in these include files:

#include "versionVendorInfo.h"
#include "versionProductInfo.h"

// System includes
#include <BalloonTypes.r>
#include <SysTypes.r>
#include <Types.r>

// Do not change these values, they are also defined as an enumeration in SysTypes.r
#define development				0x20
#define alpha					0x40
#define beta					0x60
#define final					0x80

// Resource definitions
resource 'vers' (1) 	// file version info
{
	fileVersMajor,
	fileVersMinor * 0x10 + fileVersMaintenance,
	fileVersReleaseType,
	fileVersNonrelease,
	fileVersRegion,
	// short version string text
		$$format( "%d.%d", fileVersMajor, fileVersMinor )
		#if ( 0 < fileVersMaintenance ) || ( 0 < fileVersNonrelease )
			$$format( ".%d", fileVersMaintenance )
		#endif
		#if   ( 0x20 == fileVersReleaseType ) && ( 0 < fileVersNonrelease )
			"d" $$format( "%d", fileVersNonrelease )
		#elif ( 0x40 == fileVersReleaseType ) && ( 0 < fileVersNonrelease )
			"a" $$format( "%d", fileVersNonrelease )
		#elif ( 0x60 == fileVersReleaseType ) && ( 0 < fileVersNonrelease )
			"b" $$format( "%d", fileVersNonrelease )
		#endif
	,
	// version comment string
	// short version string text
		$$format( "%d.%d", fileVersMajor, fileVersMinor )
		#if ( 0 < fileVersMaintenance ) || ( 0 < fileVersNonrelease )
			$$format( ".%d", fileVersMaintenance )
		#endif
		#if   ( 0x20 == fileVersReleaseType ) && ( 0 < fileVersNonrelease )
			"d" $$format( "%d", fileVersNonrelease )
		#elif ( 0x40 == fileVersReleaseType ) && ( 0 < fileVersNonrelease )
			"a" $$format( "%d", fileVersNonrelease )
		#elif ( 0x60 == fileVersReleaseType ) && ( 0 < fileVersNonrelease )
			"b" $$format( "%d", fileVersNonrelease )
		#endif
	", " productReleaseYear " " productCopyrightOwner ", All rights reserved."
};

resource 'vers' (2) 	// product version info
{
	productVersMajor,
	productVersMinor * 0x10 + productVersMaintenance,
	productVersReleaseType,
	productVersNonrelease,
	productVersRegion,
	// short version string text
		$$format( "%d.%d", productVersMajor, productVersMinor )
		#if ( 0 < productVersMaintenance ) || ( 0 < productVersNonrelease )
			$$format( ".%d", productVersMaintenance )
		#endif
		#if   ( 0x20 == productVersReleaseType ) && ( 0 < productVersNonrelease )
			"d" $$format( "%d", productVersNonrelease )
		#elif ( 0x40 == productVersReleaseType ) && ( 0 < productVersNonrelease )
			"a" $$format( "%d", productVersNonrelease )
		#elif ( 0x60 == productVersReleaseType ) && ( 0 < productVersNonrelease )
			"b" $$format( "%d", productVersNonrelease )
		#endif
	,
	// version comment string
	productName " "
	// short version string text
		$$format( "%d.%d", productVersMajor, productVersMinor )
		#if ( 0 < productVersMaintenance ) || ( 0 < productVersNonrelease )
			$$format( ".%d", productVersMaintenance )
		#endif
		#if   ( 0x20 == productVersReleaseType ) && ( 0 < productVersNonrelease )
			"d" $$format( "%d", productVersNonrelease )
		#elif ( 0x40 == productVersReleaseType ) && ( 0 < productVersNonrelease )
			"a" $$format( "%d", productVersNonrelease )
		#elif ( 0x60 == productVersReleaseType ) && ( 0 < productVersNonrelease )
			"b" $$format( "%d", productVersNonrelease )
		#endif
};

resource 'STR#' (1, "Product") {
	{	
		productFileName,
		productName,
		productReleaseYear
	}
};

resource 'STR#' (2, "Vendor") {
	{
		vendorAuthors,
		vendorCompany,
		vendorAddress,
		vendorPhone,
		vendorFAX,
		vendorAppleLink,
		vendorAOL,
		vendorCIS,
		vendorInternet
	}
};

resource 'STR ' (-16397, "Missing App Message") 
{
	missingAppMessage
};

// Tell Finder to use TEXT 1 resource for balloon help
resource 'hfdr' (-5696) 
{
	2, 0, 0, 0,
	{	
		HMTEResItem 
		{
			1
}}};

type 'TEXT' { string; };
resource 'TEXT' (1, "Product Description") 
{	
	productDescription
};

// ===========================================================================
//EOF