// ===========================================================================
// versionProductInfo.h
//   ---------------------
//   1996 Eric Gundrum, All rights reserved.
//   The contents of this file may be freely altered and freely distributed
//   in any form, provided this copyright statement is retained unaltered.
//   Add your own changes below.
//   ---------------------
//
//	This file defines your product and file specific version information used 
//	by version.r. Change these values to identify your product. 
//
//	Consider overriding these definitions in your make file to better automate 
//	the versioning process.


#ifndef __versionProductInfo__h
#define __versionProductInfo__h	1

#define	productFileName			"Product file name"		// helpful in file recovery
#define	productName				"Product name"			// collects files of a product
#define	productCopyrightOwner	"Eric Gundrum"			// copyright holder
#define	productReleaseYear		$$format( "%d", $$Year )	// copyright year

// Displayed in Finder Balloon help; up to 480 bytes recommended; container limit is 32K.
#define	productDescription		"Product description text."	

// Displayed by the Finder when an application to open this file can't be found.
#define missingAppMessage		"This is not an application document. Opening it does not work."

#define productVersMajor		1			// between 0 and 15
#define productVersMinor		0			// between 0 and 15
#define productVersMaintenance	0			// between 0 and 255
#define productVersReleaseType	development	// choose development, alpha, beta or final
#define productVersNonrelease	1			// between 0 and 255
#define productVersRegion		verUS		// localization code

#define fileVersMajor			1			// between 0 and 15
#define fileVersMinor			0			// between 0 and 15
#define fileVersMaintenance		0			// between 0 and 255
#define fileVersReleaseType		development	// choose development, alpha, beta or final
#define fileVersNonrelease		1			// between 0 and 255
#define fileVersRegion			productVersRegion

#endif __versionProductInfo__h

// ===========================================================================
//EOF